﻿/*-- Global Mixins ----------------------------------------------------------------------------------------*/
/* Carryover Pastel Style - Variables */
#PST_GlobalWrapper #PST_ContentWrapper {
  background-color: #DBE3EA;
}
#PST_GlobalWrapper #PST_ContentWrapper #PST_MainWrapper {
  background-color: #DBE3EA;
  padding-bottom: 412px;
}
#SWD_Header .header-bottom .menu-lang-panel {
  display: none;
}
/*
    App/AppClip View UI Customization
*/
html.app-mr {
  height: auto;
}
html.app-mr #PST_TopWrapper {
  display: none;
}
html.app-mr #PST_BottomWrapper {
  display: none;
}
html.app-mr #PST_GlobalWrapper #PST_ContentWrapper {
  background-color: #FFFFFF;
}
html.app-mr #PST_GlobalWrapper #PST_ContentWrapper #PST_MainWrapper {
  padding-bottom: unset !important;
}
html.touch input[type="date"].swd_inputtext {
  background-image: url("/Images/Icons/Seaweed/icon-calendar-new.svg");
  background-repeat: no-repeat;
  background-size: 24px 24px;
  background-position: calc(100% - 16px) 50%;
  text-align: left;
  position: relative;
  background-color: transparent;
}
html.touch input[type="date"].swd_inputtext:before {
  color: inherit;
  content: "MM/DD/YYYY" !important;
  opacity: 0.7;
  position: absolute;
  left: 17px;
  top: 14px;
  letter-spacing: 0.535px;
}
html.touch input[type="date"].swd_inputtext.small:before {
  top: 9px;
}
html.touch input[type="date"].swd_inputtext::-webkit-date-and-time-value {
  text-align: left;
  position: relative;
  left: 2px;
  top: 4px;
}
html.touch input[type="date"].swd_inputtext:focus:before,
html.touch input[type="date"].swd_inputtext:focus-within:before,
html.touch input[type="date"].swd_inputtext:focus-visible:before,
html.touch input[type="date"].swd_inputtext.mobile-hide-ph:before {
  content: "" !important;
}
html.touch input[type="date"]::-webkit-calendar-picker-indicator,
html.touch input[type="date"] .datetime-calendar-button {
  background-image: none;
  opacity: 0;
  cursor: pointer;
  position: relative;
  right: 3.5%;
}
html.touch input[type="date"]::-webkit-calendar-picker-indicator:focus-visible,
html.touch input[type="date"] .datetime-calendar-button:focus-visible {
  outline: 2px solid -webkit-focus-ring-color;
  outline: 2px solid highlight;
}
.mobileOnly {
  display: none;
}
.swd_inputtext-holder .swd_inputtext + .swd_inputtext-label {
  color: #414141;
}
.swd_inputtext-holder .swd_inputtext:not(:placeholder-shown) ~ .swd_inputtext-label,
.swd_inputtext-holder .swd_inputtext.textArea:not(:placeholder-shown) ~ .swd_inputtext-label {
  color: #575F65;
}
.swd_inputtext-holder .swd_inputtext ~ .swd_inputtext-error,
.swd_inputtext-holder .swd_inputtext + .swd_inputtext-error {
  font-size: 0.75rem;
  line-height: 0.875rem;
  bottom: -16px;
  padding-left: 8px;
}
.swd_dialogpanel {
  padding: 40px;
  line-height: 1.5;
  font-size: 1rem;
}
.swd_dialogpanel .header {
  font-size: 2rem;
  line-height: 1.25;
  font-weight: 700;
  font-family: 'Proxima-Nova', Arial, Helvetica, Sans-Serif;
  margin-bottom: 16px;
}
@media only screen and (max-width: 736px) {
  .swd_dialogpanel {
    padding: 40px 16px 32px;
  }
  .swd_dialogpanel .header {
    text-align: center;
    font-size: 1.5rem;
  }
}
.swd_container {
  margin: 0 auto;
  padding: 40px 0;
  height: auto;
  overflow: hidden;
  min-height: calc(100vh - 60px);
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  position: relative;
}
.swd_container .swd_button {
  font-size: 1rem;
  line-height: 1.5;
  padding: 8px 16px;
  font-weight: 500;
}
.swd_container .swd_button.medium {
  font-size: 1rem;
  line-height: 1.5;
  padding: 8px 16px;
}
.swd_container .swd_button.white {
  color: #414141;
}
.swd_container .swd_button.nobg:hover {
  text-decoration: underline;
}
.swd_container .swd_button.no-border {
  border-color: transparent;
}
.swd_container .swd_button.btnBackStep {
  display: inline-flex;
  align-items: center;
  gap: 8px;
}
.swd_container .swd_button.btnBackStep .swd_icon {
  width: 20px;
  height: 20px;
}
.swd_container .swd_icon.icon-info {
  background-image: url("/Images/Icons/seaweed/icon-info-new.svg");
  background-size: 20px;
}
.swd_container .swd_icon.icon-info.blue {
  background-image: url("/Images/Icons/seaweed/icon-info-new-blue.svg");
}
.swd_container .swd_icon.icon-info-filled {
  background-image: url("/Images/Icons/seaweed/icon-info-filled.svg");
}
.swd_container .swd_icon.icon-back-arrow-blue {
  background-image: url(/Images/icons/seaweed/icon-arrow-back-blue.svg);
}
.swd_container a:focus-visible {
  outline: 2px solid -webkit-focus-ring-color;
  outline: 2px solid highlight;
}
.swd_container .main_container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  max-width: 952px;
  margin: 0 auto 48px auto;
  gap: 8px;
}
.swd_container .main_container .header_links_container {
  display: flex;
  align-items: center;
  width: 100%;
  max-width: 952px;
  gap: 16px;
  padding: 8px;
  justify-content: space-between;
}
.swd_container .main_container .header_links_container .back_header_right {
  display: flex;
  gap: 32px;
}
.swd_container .main_container .header_links_container .back_header_right .link_viewShipping {
  display: flex;
  gap: 32px;
  align-items: center;
}
.swd_container .main_container .header_links_container .swd_text_button {
  font-weight: 500;
}
.swd_container .main_container .header_links_container .swd_text_button.btnBackArrow {
  padding: 4px 0 4px 24px;
  font-size: 0.875rem;
  line-height: 1.42857;
  background-size: 16px 16px;
  background-repeat: no-repeat;
  background-image: url(/Images/icons/seaweed/icon-arrow-back-blue.svg);
  background-position: left center;
}
.swd_container .main_container .purchase_offline {
  display: grid;
  width: 100%;
  grid-template-columns: 320px 1fr;
  gap: 0px 40px;
  position: relative;
  padding: 40px;
  border-radius: 16px;
  box-shadow: 0px 3px 10px 0px rgba(0, 0, 0, 0.2);
  background-color: #FFFFFF;
}
.swd_container .main_container .purchase_offline .gift-title-wrap {
  border-bottom: 1px solid rgba(112, 120, 126, 0.5);
  width: 100%;
  padding-bottom: 8px;
  margin-bottom: 16px;
}
.swd_container .main_container .purchase_offline .gift-title-wrap .gift-page-title {
  max-height: none;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  color: #141414;
  overflow: hidden;
  font-size: 2rem;
  font-style: normal;
  font-weight: 500;
  line-height: 2.5rem;
}
.swd_container .main_container .purchase_offline .gift-subtitle {
  color: #141414;
  font-family: 'Proxima-Nova', Arial, Helvetica, Sans-Serif;
  font-size: 1.25rem;
  font-weight: 500;
  line-height: 2rem;
  margin-bottom: 8px;
}
.swd_container .main_container .purchase_offline .gift-left-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 8px;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-image-container {
  width: 100%;
  height: 320px;
  display: block;
  position: relative;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-image-container .gift-image {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-note-container {
  text-align: center;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-note-container .btnOpenNote {
  padding: 4px 16px;
  color: #414141;
  border-radius: 100px;
  background-color: #e8f2f4;
  font-size: 0.875rem;
  line-height: 1.42857;
  font-weight: 500;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-note-container .btnOpenNote span.icon-note {
  width: 16px;
  height: 16px;
  background-repeat: no-repeat;
  background-position: center center;
  background-size: contain;
  background-image: url("/Images/Icons/seaweed/icon-note.svg");
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-title {
  font-size: 1.25rem;
  line-height: 2rem;
  font-weight: 500;
  color: #141414;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  word-break: break-all;
}
.swd_container .main_container .purchase_offline .gift-left-container .giftInfoWrap {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 8px;
  color: #414141;
  font-size: 0.75rem;
  line-height: 1.33;
  margin-bottom: 8px;
}
.swd_container .main_container .purchase_offline .gift-left-container .giftInfoWrap .gift-info {
  display: flex;
  gap: 8px;
}
.swd_container .main_container .purchase_offline .gift-left-container .giftInfoWrap .gift-info-details,
.swd_container .main_container .purchase_offline .gift-left-container .giftInfoWrap .gift-info-count {
  display: inline-flex;
  justify-content: center;
  gap: 16px;
  flex-wrap: wrap;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-info {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 4px;
  color: #414141;
  font-size: 0.875rem;
  line-height: 1.42857;
  letter-spacing: 0.25px;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-info .gift-info-details,
.swd_container .main_container .purchase_offline .gift-left-container .gift-info .gift-info-count {
  display: inline-flex;
  justify-content: center;
  gap: 16px;
  flex-wrap: wrap;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-price {
  font-size: 2rem;
  line-height: 1.25;
  font-weight: normal;
  color: #414141;
  transition: margin ease 400ms;
  display: inline-flex;
  align-items: center;
  gap: 8px;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-price .priceTxt {
  font-weight: 700;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-price .btnPriceWarning {
  width: 14px;
  height: 14px;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-price .price {
  display: inline-flex;
  gap: 4px;
  align-items: center;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-price:has(.optional-price) {
  display: inline-flex;
  flex-direction: column;
  gap: 8px;
  justify-content: center;
  align-items: center;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-price .optional-price:has(.reg) {
  display: inline-flex;
  gap: 4px;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-price .optional-price .sale.title {
  display: none;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-price .optional-price .reg {
  color: #D84102;
  font-size: 1.25rem;
  line-height: 1.33;
  font-weight: 400;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-price .optional-price .reg.title {
  text-transform: capitalize;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-price .optional-price .reg.price {
  text-decoration: line-through;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-price:has(~ .gift-shipping .gift-shipping_private_address[data-step='2']) {
  margin-bottom: 8px;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-price .price-disclaimer {
  font-weight: 400;
  color: #414141;
  font-size: 0.75rem;
  line-height: 1.33;
  display: flex;
  margin-top: 2px;
  gap: 4px;
  justify-content: center;
  align-items: center;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-actions {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 16px;
  max-width: 320px;
  margin: 0 auto;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-actions .swd_button.nobg {
  padding: 0;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-actions:has(.alternative_choices) {
  max-width: 100%;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-actions:has(.alternative_choices) .alternative_choices {
  width: 100%;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-actions:has(.alternative_choices) .alternative_choices .buttons {
  margin-top: 16px;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 16px;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-actions:has(.alternative_choices) .alternative_choices .gift-websitelogo {
  width: 100%;
  max-width: 120px;
  margin: auto;
}
.swd_container .main_container .purchase_offline .gift-left-container .gift-actions:has(.alternative_choices) .alternative_choices .gift-websitelogo img {
  display: block;
  width: 100%;
}
.swd_container .main_container .purchase_offline .gift-right-container .gift-shippingInfoTitle {
  display: flex;
  min-height: 80px;
  max-height: 80px;
  height: auto;
  overflow-y: auto;
  padding: 16px 16px 16px 16px;
  flex-direction: column;
  align-items: flex-start;
  align-self: stretch;
  background: rgba(30, 123, 146, 0.08);
  font-size: 1rem;
  letter-spacing: 0.5px;
  line-height: 1.3rem;
  font-weight: 400;
  box-sizing: border-box;
  margin-bottom: 8px;
  word-break: break-all;
}
.swd_container .main_container .purchase_offline .gift-right-container .gift-desc-text {
  color: #414141;
  font-size: 1rem;
  font-style: normal;
  font-weight: 400;
  line-height: 1.5rem;
  letter-spacing: 0.5px;
  margin-bottom: 16px;
}
.swd_container .main_container .purchase_offline .gift-right-container .gift-desc-text.didYouBuyDesc {
  margin-bottom: 0px;
}
.swd_container .main_container .purchase_offline .gift-right-container .anonymous_check_container {
  max-width: 100%;
  width: 100%;
  display: inline-block;
  margin-left: 8px;
  position: relative;
  color: #141414;
  font-size: 14px;
  height: 40px;
  vertical-align: text-top;
  margin-top: -8px;
}
.swd_container .main_container .purchase_offline .gift-right-container .anonymous_check_container .checkbox_container {
  display: inline-block;
}
.swd_container .main_container .purchase_offline .gift-right-container .anonymous_check_container .swd_checkbox label::before {
  height: 20px;
  width: 20px;
  cursor: pointer;
}
.swd_container .main_container .purchase_offline .gift-right-container .anonymous_check_container .swd_checkbox label::after {
  height: 5px;
  width: 13px;
  left: 4px;
  top: 7px;
}
.swd_container .main_container .purchase_offline .gift-right-container .pur_fields {
  display: flex;
  flex-direction: column;
  gap: 0px;
}
.swd_container .main_container .purchase_offline .gift-right-container .pur_fields .surprise_block .lblCheckPrivate {
  display: block;
  font-size: 14px;
  margin-bottom: 12px;
  line-height: 20px;
  font-weight: 500;
}
.swd_container .main_container .purchase_offline .gift-right-container .pur_fields .surprise_block .dateTipFieldWrap {
  display: flex;
  align-items: center;
  gap: 10px;
}
.swd_container .main_container .purchase_offline .gift-right-container .pur_fields .surprise_block .dateTipFieldWrap .swd_inputtext.private_until {
  text-transform: uppercase;
}
.swd_container .main_container .purchase_offline .gift-right-container .pur_fields .surprise_block .dateTipFieldWrap .swd_icon {
  background-image: url("/Images/Icons/seaweed/icon-info-new.svg");
  height: 40px;
  width: 40px;
}
.swd_container .main_container .purchase_offline .gift-right-container .pur_fields:not(:has(.swd_inputtext-holder.surprise_block)) .gift_message {
  width: 100%;
  max-width: 100%;
}
.swd_container .main_container .purchase_offline .gift-right-container .pur_fields:not(:has(.swd_inputtext-holder.surprise_block)) .gift_message .lblGiftMessageCount {
  margin-top: 4px;
}
.swd_container .main_container .purchase_offline .gift-right-container .pur_fields .pur_fields_row {
  display: flex;
  gap: 16px;
  align-items: flex-start;
}
.swd_container .main_container .purchase_offline .gift-right-container .pur_fields .pur_fields_row .swd_inputtext-holder {
  margin-bottom: 6px;
}
.swd_container .main_container .purchase_offline .gift-right-container .pur_fields .pur_fields_row .swd_inputtext-holder.quantity_holder {
  box-sizing: border-box;
  max-width: 70px;
}
.swd_container .main_container .purchase_offline .gift-right-container .pur_fields .pur_fields_row .swd_inputtext-holder .swd_inputtext.textArea {
  min-height: 72px;
}
.swd_container .main_container .purchase_offline .gift-right-container .pur_fields .pur_fields_row .swd_inputtext-holder.surprise_block {
  margin-top: 8px;
  margin-bottom: 0px;
}
.swd_container .main_container .purchase_offline .gift-right-container .pur_fields .pur_fields_row .swd_inputtext-holder:has(.error) {
  margin-bottom: 16px;
}
.swd_container .main_container .purchase_offline .gift-right-container .pur_fields .pur_fields_row .swd_inputtext-holder:has(.error.txtVisitorEmail) {
  margin-bottom: 24px;
}
.swd_container .main_container .purchase_offline .gift-right-container .pur_fields .pur_fields_row .swd_inputtext-holder:has(.error.private_until) {
  margin-bottom: 12px;
}
.swd_container .main_container .purchase_offline .gift-right-container .pur_fields .pur_fields_row .swd_inputtext-holder:has(.lblGiftMessageCount) {
  margin-bottom: 24px;
}
.swd_container .main_container .purchase_offline .gift-right-container .pur_fields .pur_fields_row .swd_inputtext-holder .lblGiftMessageCount {
  text-align: center;
  position: absolute;
  right: 16px;
  font-size: 0.75rem;
  line-height: 1.34;
  letter-spacing: 0.4px;
  color: #414141;
  margin-top: 4px;
}
.swd_container .main_container .purchase_offline .gift-right-container .pur_fields .pur_fields_row .action-btns {
  display: flex;
  gap: 12px;
  box-sizing: border-box;
  width: 100%;
  margin-top: 8px;
}
.swd_container .main_container .purchase_offline .gift-right-container .pur_fields .pur_fields_row .action-btns .swd_button {
  box-sizing: border-box;
  width: 50%;
  padding: 8px 24px;
}
@media only screen and (max-width: 1025px) {
  .desktopOnly {
    display: none;
  }
  .mobileOnly {
    display: block;
  }
  .swd_container {
    min-height: 100%;
  }
  .swd_container .main_container {
    margin: 32px auto 60px;
    max-width: 752px;
    padding: 0 16px;
  }
  .swd_container .main_container .swd_text_button.blue:after {
    border-bottom-color: #1e7b92;
    border: none;
  }
  .swd_container .main_container .purchase_offline {
    grid-template-columns: 1fr;
  }
  .swd_container .main_container .purchase_offline .gift-left-container .gift-image-container {
    width: 240px;
    height: 240px;
    margin: auto;
  }
  .swd_container .main_container .purchase_offline .gift-left-container .gift-title {
    font-size: 1.5rem;
    margin-bottom: 24px;
  }
  .swd_container .main_container .purchase_offline .gift-left-container .gift-price {
    font-size: 1.75rem;
  }
  .swd_container .main_container .purchase_offline .gift-left-container .gift-price .optional-price .reg {
    font-size: 1.125rem;
  }
}
@media only screen and (max-width: 780px) {
  .desktopOnly {
    display: none !important;
  }
  .swd_container {
    min-height: 100%;
    background-color: #FFFFFF;
  }
  .swd_container .swd_icon.icon-info {
    background-size: 16px;
  }
  .swd_container .main_container {
    margin: 0 auto;
    padding: 0;
    gap: 0;
    background-color: #FFFFFF;
  }
  .swd_container .main_container .header_links_container {
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
    padding: 8px 16px;
  }
  .swd_container .main_container .header_links_container .back_header_right.viewShipping {
    justify-content: flex-end;
    text-align: right;
    width: 100%;
  }
  .swd_container .main_container .purchase_offline {
    grid-template-columns: 1fr;
    border-radius: 0;
    box-shadow: none;
    padding: 0 16px 16px;
    gap: 8px;
  }
  .swd_container .main_container .purchase_offline .gift-title-wrap .gift-page-title {
    font-size: 1.75rem;
    line-height: 2.25rem;
  }
  .swd_container .main_container .purchase_offline .gift-subtitle {
    font-size: 1.25rem;
    line-height: 2rem;
  }
  .swd_container .main_container .purchase_offline .gift-left-container .gift-image-container {
    width: 100%;
    max-width: 315px;
    height: 180px;
    order: 1;
  }
  .swd_container .main_container .purchase_offline .gift-left-container .giftInfoWrap {
    order: 3;
  }
  .swd_container .main_container .purchase_offline .gift-left-container .giftInfoWrap .gift-info {
    gap: 4px;
  }
  .swd_container .main_container .purchase_offline .gift-left-container .gift-note-container {
    order: 2;
  }
  .swd_container .main_container .purchase_offline .gift-left-container .gift-title {
    font-size: 1.125rem;
    margin-bottom: 0px;
    text-align: center;
    line-height: 1.75rem;
  }
  .swd_container .main_container .purchase_offline .gift-left-container .gift-price {
    font-size: 1.125rem;
    line-height: 1.75rem;
  }
  .swd_container .main_container .purchase_offline .gift-left-container .gift-price .optional-price .reg {
    font-size: 0.875rem;
  }
  .swd_container .main_container .purchase_offline .gift-right-container .gift-desc-text {
    margin-bottom: 24px;
  }
  .swd_container .main_container .purchase_offline .gift-right-container .pur_fields .pur_fields_row {
    display: flex;
    gap: 0px;
    flex-direction: column;
  }
  .swd_container .main_container .purchase_offline .gift-right-container .pur_fields .pur_fields_row .action-btns {
    margin-top: 8px;
  }
  .swd_container .main_container .purchase_offline .gift-right-container .pur_fields .pur_fields_row .action-btns .swd_button {
    padding: 8px;
  }
}